> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app list

> Retrieve applications across all clients with advanced filtering and pagination.
Admins can view and manage applications for any client in their reseller scope.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml get /fastedge/v1/admin/apps
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/apps:
    get:
      tags:
        - FastEdge Reseller Apps
      summary: Get app list
      description: >-
        Retrieve applications across all clients with advanced filtering and
        pagination.

        Admins can view and manage applications for any client in their reseller
        scope.
      operationId: listAppsAdmin
      parameters:
        - description: >-
            Filter applications by client ID. Omit to see all apps across all
            clients.
          example: 1000
          in: query
          name: client_id
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Filter by application name (case-insensitive partial match)
          in: query
          name: name
          required: false
          schema:
            maxLength: 255
            minLength: 1
            type: string
        - description: |-
            API type:  
            wasi-http - WASI with HTTP entry point  
            proxy-wasm - Proxy-Wasm app, callable from CDN
          example: wasi-http
          in: query
          name: api_type
          required: false
          schema:
            enum:
              - wasi-http
              - proxy-wasm
            type: string
        - description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            3 - hourly call limit exceeded  
            4 - daily call limit exceeded  
            5 - suspended
          example: 1
          in: query
          name: status
          required: false
          schema:
            maximum: 5
            minimum: 0
            type: integer
        - description: Filter by template ID
          in: query
          name: template
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Filter by binary ID
          in: query
          name: binary
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Filter by plan ID
          example: 10
          in: query
          name: plan
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Maximum number of results to return
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 1000
            minimum: 1
            type: integer
        - description: Number of results to skip for pagination
          example: 0
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
        - description: >-
            Sort order. Use - prefix for descending (e.g., -name sorts by name
            descending)
          example: '-id'
          in: query
          name: ordering
          schema:
            enum:
              - name
              - '-name'
              - status
              - '-status'
              - id
              - '-id'
              - template
              - '-template'
              - binary
              - '-binary'
              - plan
              - '-plan'
              - client
              - '-client'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  apps:
                    items:
                      $ref: '#/components/schemas/app_short_admin'
                    type: array
                  count:
                    description: Total number of apps
                    type: integer
                required:
                  - apps
                type: object
          description: >-
            Returns paginated list of applications across all clients with
            filters applied
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
components:
  schemas:
    app_short_admin:
      type: object
      allOf:
        - $ref: '#/components/schemas/app_short'
        - type: object
          required:
            - client_id
            - reseller_id
          properties:
            client_id:
              type: integer
              format: int64
              description: Client ID
            reseller_id:
              type: integer
              format: int64
              description: Reseller ID
              nullable: true
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    app_short:
      required:
        - id
        - name
        - status
        - binary
        - api_type
        - plan_id
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: App ID
          minimum: 1
        name:
          type: string
          description: App name
        url:
          type: string
          description: App URL
        status:
          type: integer
          description: |-
            Status code:  
            0 - draft (inactive)  
            1 - enabled  
            2 - disabled  
            3 - hourly call limit exceeded  
            4 - daily call limit exceeded  
            5 - suspended
        binary:
          type: integer
          format: int64
          description: Binary ID
        comment:
          type: string
          description: Description of the binary
        api_type:
          type: string
          description: Wasm API type
        debug_until:
          type: string
          format: date-time
          description: When debugging finishes
        debug:
          default: false
          description: Switch on logging for 30 minutes (switched off by default)
          type: boolean
          writeOnly: true
        template:
          type: integer
          format: int64
          description: Template ID
        template_name:
          type: string
          description: Template name
        networks:
          description: Networks
          type: array
          items:
            type: string
        upgradeable_to:
          type: integer
          format: int64
          description: ID of the binary the app can be upgraded to
        plan_id:
          type: integer
          format: int64
          description: Application plan ID
        plan:
          type: string
          description: Application plan name
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````